[package]
name = "wxbox-client"
version = "0.1.0"
edition = "2021"

[dependencies]
tracing = "0.1"
tracing-subscriber = "0.3"
eframe = { version = "0.31" }
glow = "*"
egui_glow = "0.31"
egui = "0.31"
poll-promise = "0.3"
ehttp = "0.5"
image = "0.25"

[target.'cfg(target_arch = "wasm32")'.dependencies]
tracing-web = "0.1"
wasm-bindgen-futures = "0.4"
web-sys = "0.3"
console_error_panic_hook = "0.1"